Categories:
  - Science & Education
License: EUPL-1.2
SourceCode: https://gitlab.com/TheOneWithTheBraid/xournalpp_mobile
IssueTracker: https://gitlab.com/TheOneWithTheBraid/xournalpp_mobile/-/issues
Bitcoin: 3NUiJXDCkyRTb9Tg7n63yK6Y7CexADtSEh

AutoName: Xournal++

RepoType: git
Repo: https://gitlab.com/TheOneWithTheBraid/xournalpp_mobile.git

Builds:
  - versionName: 1.1.6
    versionCode: 22
    commit: 1.1.6
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@1.24.0-7.0.pre
    prebuild: echo 'android.applicationVariants.all { variant -> variant.outputs.all
        { output -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.1.10
    versionCode: 26
    commit: 1.1.10
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@1.24.0-7.0.pre
    prebuild: echo 'android.applicationVariants.all { variant -> variant.outputs.all
        { output -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter build apk

AutoUpdateMode: Version %v
UpdateCheckMode: HTTP
UpdateCheckData: https://gitlab.com/TheOneWithTheBraid/xournalpp_mobile/-/raw/master/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.1.10
CurrentVersionCode: 26
